| 7 | | # Copyright (C) 2003 Free Software Foundation, Inc. |
| | 7 | # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, |
| | 8 | # 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc. |
| 26 | | # Support unset when possible. |
| 27 | | if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then |
| 28 | | as_unset=unset |
| 29 | | else |
| 30 | | as_unset=false |
| 31 | | fi |
| 32 | | |
| 33 | | |
| 34 | | # Work around bugs in pre-3.0 UWIN ksh. |
| 35 | | $as_unset ENV MAIL MAILPATH |
| 36 | | PS1='$ ' |
| 37 | | PS2='> ' |
| 38 | | PS4='+ ' |
| 39 | | |
| 40 | | # NLS nuisances. |
| 41 | | for as_var in \ |
| 42 | | LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \ |
| 43 | | LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \ |
| 44 | | LC_TELEPHONE LC_TIME |
| 45 | | do |
| 46 | | if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then |
| 47 | | eval $as_var=C; export $as_var |
| 48 | | else |
| 49 | | $as_unset $as_var |
| 50 | | fi |
| 51 | | done |
| 52 | | |
| 53 | | # Required to use basename. |
| 54 | | if expr a : '\(a\)' >/dev/null 2>&1; then |
| 55 | | as_expr=expr |
| 56 | | else |
| 57 | | as_expr=false |
| 58 | | fi |
| 59 | | |
| 60 | | if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then |
| 61 | | as_basename=basename |
| 62 | | else |
| 63 | | as_basename=false |
| 64 | | fi |
| 65 | | |
| 66 | | |
| 67 | | # Name of the executable. |
| 68 | | as_me=`$as_basename "$0" || |
| 69 | | $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \ |
| 70 | | X"$0" : 'X\(//\)$' \| \ |
| 71 | | X"$0" : 'X\(/\)$' \| \ |
| 72 | | . : '\(.\)' 2>/dev/null || |
| 73 | | echo X/"$0" | |
| 74 | | sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; } |
| 75 | | /^X\/\(\/\/\)$/{ s//\1/; q; } |
| 76 | | /^X\/\(\/\).*/{ s//\1/; q; } |
| 77 | | s/.*/./; q'` |
| 78 | | |
| 79 | | |
| 80 | | # PATH needs CR, and LINENO needs CR and PATH. |
| | 29 | |
| | 30 | # PATH needs CR |
| 101 | | |
| 102 | | as_lineno_1=$LINENO |
| 103 | | as_lineno_2=$LINENO |
| 104 | | as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null` |
| 105 | | test "x$as_lineno_1" != "x$as_lineno_2" && |
| 106 | | test "x$as_lineno_3" = "x$as_lineno_2" || { |
| 107 | | # Find who we are. Look in the path if we contain no path at all |
| 108 | | # relative or not. |
| 109 | | case $0 in |
| 110 | | *[\\/]* ) as_myself=$0 ;; |
| 111 | | *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| | 51 | # Support unset when possible. |
| | 52 | if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then |
| | 53 | as_unset=unset |
| | 54 | else |
| | 55 | as_unset=false |
| | 56 | fi |
| | 57 | |
| | 58 | |
| | 59 | # IFS |
| | 60 | # We need space, tab and new line, in precisely that order. Quoting is |
| | 61 | # there to prevent editors from complaining about space-tab. |
| | 62 | # (If _AS_PATH_WALK were called with IFS unset, it would disable word |
| | 63 | # splitting by setting IFS to empty value.) |
| | 64 | as_nl=' |
| | 65 | ' |
| | 66 | IFS=" "" $as_nl" |
| | 67 | |
| | 68 | # Find who we are. Look in the path if we contain no directory separator. |
| | 69 | case $0 in |
| | 70 | *[\\/]* ) as_myself=$0 ;; |
| | 71 | *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| 118 | | |
| 119 | | ;; |
| 120 | | esac |
| 121 | | # We did not find ourselves, most probably we were run as `sh COMMAND' |
| 122 | | # in which case we are not to be found in the path. |
| 123 | | if test "x$as_myself" = x; then |
| 124 | | as_myself=$0 |
| | 78 | IFS=$as_save_IFS |
| | 79 | |
| | 80 | ;; |
| | 81 | esac |
| | 82 | # We did not find ourselves, most probably we were run as `sh COMMAND' |
| | 83 | # in which case we are not to be found in the path. |
| | 84 | if test "x$as_myself" = x; then |
| | 85 | as_myself=$0 |
| | 86 | fi |
| | 87 | if test ! -f "$as_myself"; then |
| | 88 | echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2 |
| | 89 | { (exit 1); exit 1; } |
| | 90 | fi |
| | 91 | |
| | 92 | # Work around bugs in pre-3.0 UWIN ksh. |
| | 93 | for as_var in ENV MAIL MAILPATH |
| | 94 | do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var |
| | 95 | done |
| | 96 | PS1='$ ' |
| | 97 | PS2='> ' |
| | 98 | PS4='+ ' |
| | 99 | |
| | 100 | # NLS nuisances. |
| | 101 | for as_var in \ |
| | 102 | LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \ |
| | 103 | LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \ |
| | 104 | LC_TELEPHONE LC_TIME |
| | 105 | do |
| | 106 | if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then |
| | 107 | eval $as_var=C; export $as_var |
| | 108 | else |
| | 109 | ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var |
| 126 | | if test ! -f "$as_myself"; then |
| 127 | | { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2 |
| 128 | | { (exit 1); exit 1; }; } |
| 129 | | fi |
| 130 | | case $CONFIG_SHELL in |
| 131 | | '') |
| | 111 | done |
| | 112 | |
| | 113 | # Required to use basename. |
| | 114 | if expr a : '\(a\)' >/dev/null 2>&1 && |
| | 115 | test "X`expr 00001 : '.*\(...\)'`" = X001; then |
| | 116 | as_expr=expr |
| | 117 | else |
| | 118 | as_expr=false |
| | 119 | fi |
| | 120 | |
| | 121 | if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then |
| | 122 | as_basename=basename |
| | 123 | else |
| | 124 | as_basename=false |
| | 125 | fi |
| | 126 | |
| | 127 | |
| | 128 | # Name of the executable. |
| | 129 | as_me=`$as_basename -- "$0" || |
| | 130 | $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \ |
| | 131 | X"$0" : 'X\(//\)$' \| \ |
| | 132 | X"$0" : 'X\(/\)' \| . 2>/dev/null || |
| | 133 | echo X/"$0" | |
| | 134 | sed '/^.*\/\([^/][^/]*\)\/*$/{ |
| | 135 | s//\1/ |
| | 136 | q |
| | 137 | } |
| | 138 | /^X\/\(\/\/\)$/{ |
| | 139 | s//\1/ |
| | 140 | q |
| | 141 | } |
| | 142 | /^X\/\(\/\).*/{ |
| | 143 | s//\1/ |
| | 144 | q |
| | 145 | } |
| | 146 | s/.*/./; q'` |
| | 147 | |
| | 148 | # CDPATH. |
| | 149 | $as_unset CDPATH |
| | 150 | |
| | 151 | |
| | 152 | if test "x$CONFIG_SHELL" = x; then |
| | 153 | if (eval ":") 2>/dev/null; then |
| | 154 | as_have_required=yes |
| | 155 | else |
| | 156 | as_have_required=no |
| | 157 | fi |
| | 158 | |
| | 159 | if test $as_have_required = yes && (eval ": |
| | 160 | (as_func_return () { |
| | 161 | (exit \$1) |
| | 162 | } |
| | 163 | as_func_success () { |
| | 164 | as_func_return 0 |
| | 165 | } |
| | 166 | as_func_failure () { |
| | 167 | as_func_return 1 |
| | 168 | } |
| | 169 | as_func_ret_success () { |
| | 170 | return 0 |
| | 171 | } |
| | 172 | as_func_ret_failure () { |
| | 173 | return 1 |
| | 174 | } |
| | 175 | |
| | 176 | exitcode=0 |
| | 177 | if as_func_success; then |
| | 178 | : |
| | 179 | else |
| | 180 | exitcode=1 |
| | 181 | echo as_func_success failed. |
| | 182 | fi |
| | 183 | |
| | 184 | if as_func_failure; then |
| | 185 | exitcode=1 |
| | 186 | echo as_func_failure succeeded. |
| | 187 | fi |
| | 188 | |
| | 189 | if as_func_ret_success; then |
| | 190 | : |
| | 191 | else |
| | 192 | exitcode=1 |
| | 193 | echo as_func_ret_success failed. |
| | 194 | fi |
| | 195 | |
| | 196 | if as_func_ret_failure; then |
| | 197 | exitcode=1 |
| | 198 | echo as_func_ret_failure succeeded. |
| | 199 | fi |
| | 200 | |
| | 201 | if ( set x; as_func_ret_success y && test x = \"\$1\" ); then |
| | 202 | : |
| | 203 | else |
| | 204 | exitcode=1 |
| | 205 | echo positional parameters were not saved. |
| | 206 | fi |
| | 207 | |
| | 208 | test \$exitcode = 0) || { (exit 1); exit 1; } |
| | 209 | |
| | 210 | ( |
| | 211 | as_lineno_1=\$LINENO |
| | 212 | as_lineno_2=\$LINENO |
| | 213 | test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" && |
| | 214 | test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; } |
| | 215 | ") 2> /dev/null; then |
| | 216 | : |
| | 217 | else |
| | 218 | as_candidate_shells= |
| 140 | | if ("$as_dir/$as_base" -c ' |
| | 226 | for as_base in sh bash ksh sh5; do |
| | 227 | as_candidate_shells="$as_candidate_shells $as_dir/$as_base" |
| | 228 | done;; |
| | 229 | esac |
| | 230 | done |
| | 231 | IFS=$as_save_IFS |
| | 232 | |
| | 233 | |
| | 234 | for as_shell in $as_candidate_shells $SHELL; do |
| | 235 | # Try only shells that exist, to save several forks. |
| | 236 | if { test -f "$as_shell" || test -f "$as_shell.exe"; } && |
| | 237 | { ("$as_shell") 2> /dev/null <<\_ASEOF |
| | 238 | # Be Bourne compatible |
| | 239 | if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then |
| | 240 | emulate sh |
| | 241 | NULLCMD=: |
| | 242 | # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which |
| | 243 | # is contrary to our usage. Disable this feature. |
| | 244 | alias -g '${1+"$@"}'='"$@"' |
| | 245 | setopt NO_GLOB_SUBST |
| | 246 | else |
| | 247 | case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac |
| | 248 | fi |
| | 249 | BIN_SH=xpg4; export BIN_SH # for Tru64 |
| | 250 | DUALCASE=1; export DUALCASE # for MKS sh |
| | 251 | |
| | 252 | : |
| | 253 | _ASEOF |
| | 254 | }; then |
| | 255 | CONFIG_SHELL=$as_shell |
| | 256 | as_have_required=yes |
| | 257 | if { "$as_shell" 2> /dev/null <<\_ASEOF |
| | 258 | # Be Bourne compatible |
| | 259 | if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then |
| | 260 | emulate sh |
| | 261 | NULLCMD=: |
| | 262 | # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which |
| | 263 | # is contrary to our usage. Disable this feature. |
| | 264 | alias -g '${1+"$@"}'='"$@"' |
| | 265 | setopt NO_GLOB_SUBST |
| | 266 | else |
| | 267 | case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac |
| | 268 | fi |
| | 269 | BIN_SH=xpg4; export BIN_SH # for Tru64 |
| | 270 | DUALCASE=1; export DUALCASE # for MKS sh |
| | 271 | |
| | 272 | : |
| | 273 | (as_func_return () { |
| | 274 | (exit $1) |
| | 275 | } |
| | 276 | as_func_success () { |
| | 277 | as_func_return 0 |
| | 278 | } |
| | 279 | as_func_failure () { |
| | 280 | as_func_return 1 |
| | 281 | } |
| | 282 | as_func_ret_success () { |
| | 283 | return 0 |
| | 284 | } |
| | 285 | as_func_ret_failure () { |
| | 286 | return 1 |
| | 287 | } |
| | 288 | |
| | 289 | exitcode=0 |
| | 290 | if as_func_success; then |
| | 291 | : |
| | 292 | else |
| | 293 | exitcode=1 |
| | 294 | echo as_func_success failed. |
| | 295 | fi |
| | 296 | |
| | 297 | if as_func_failure; then |
| | 298 | exitcode=1 |
| | 299 | echo as_func_failure succeeded. |
| | 300 | fi |
| | 301 | |
| | 302 | if as_func_ret_success; then |
| | 303 | : |
| | 304 | else |
| | 305 | exitcode=1 |
| | 306 | echo as_func_ret_success failed. |
| | 307 | fi |
| | 308 | |
| | 309 | if as_func_ret_failure; then |
| | 310 | exitcode=1 |
| | 311 | echo as_func_ret_failure succeeded. |
| | 312 | fi |
| | 313 | |
| | 314 | if ( set x; as_func_ret_success y && test x = "$1" ); then |
| | 315 | : |
| | 316 | else |
| | 317 | exitcode=1 |
| | 318 | echo positional parameters were not saved. |
| | 319 | fi |
| | 320 | |
| | 321 | test $exitcode = 0) || { (exit 1); exit 1; } |
| | 322 | |
| | 323 | ( |
| 145 | | test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then |
| 146 | | $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; } |
| 147 | | $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; } |
| 148 | | CONFIG_SHELL=$as_dir/$as_base |
| 149 | | export CONFIG_SHELL |
| 150 | | exec "$CONFIG_SHELL" "$0" ${1+"$@"} |
| 151 | | fi;; |
| 152 | | esac |
| 153 | | done |
| 154 | | done |
| 155 | | ;; |
| 156 | | esac |
| | 327 | test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; } |
| | 328 | |
| | 329 | _ASEOF |
| | 330 | }; then |
| | 331 | break |
| | 332 | fi |
| | 333 | |
| | 334 | fi |
| | 335 | |
| | 336 | done |
| | 337 | |
| | 338 | if test "x$CONFIG_SHELL" != x; then |
| | 339 | for as_var in BASH_ENV ENV |
| | 340 | do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var |
| | 341 | done |
| | 342 | export CONFIG_SHELL |
| | 343 | exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"} |
| | 344 | fi |
| | 345 | |
| | 346 | |
| | 347 | if test $as_have_required = no; then |
| | 348 | echo This script requires a shell more modern than all the |
| | 349 | echo shells that I found on your system. Please install a |
| | 350 | echo modern shell, or manually run the script under such a |
| | 351 | echo shell if you do have one. |
| | 352 | { (exit 1); exit 1; } |
| | 353 | fi |
| | 354 | |
| | 355 | |
| | 356 | fi |
| | 357 | |
| | 358 | fi |
| | 359 | |
| | 360 | |
| | 361 | |
| | 362 | (eval "as_func_return () { |
| | 363 | (exit \$1) |
| | 364 | } |
| | 365 | as_func_success () { |
| | 366 | as_func_return 0 |
| | 367 | } |
| | 368 | as_func_failure () { |
| | 369 | as_func_return 1 |
| | 370 | } |
| | 371 | as_func_ret_success () { |
| | 372 | return 0 |
| | 373 | } |
| | 374 | as_func_ret_failure () { |
| | 375 | return 1 |
| | 376 | } |
| | 377 | |
| | 378 | exitcode=0 |
| | 379 | if as_func_success; then |
| | 380 | : |
| | 381 | else |
| | 382 | exitcode=1 |
| | 383 | echo as_func_success failed. |
| | 384 | fi |
| | 385 | |
| | 386 | if as_func_failure; then |
| | 387 | exitcode=1 |
| | 388 | echo as_func_failure succeeded. |
| | 389 | fi |
| | 390 | |
| | 391 | if as_func_ret_success; then |
| | 392 | : |
| | 393 | else |
| | 394 | exitcode=1 |
| | 395 | echo as_func_ret_success failed. |
| | 396 | fi |
| | 397 | |
| | 398 | if as_func_ret_failure; then |
| | 399 | exitcode=1 |
| | 400 | echo as_func_ret_failure succeeded. |
| | 401 | fi |
| | 402 | |
| | 403 | if ( set x; as_func_ret_success y && test x = \"\$1\" ); then |
| | 404 | : |
| | 405 | else |
| | 406 | exitcode=1 |
| | 407 | echo positional parameters were not saved. |
| | 408 | fi |
| | 409 | |
| | 410 | test \$exitcode = 0") || { |
| | 411 | echo No shell found that supports shell functions. |
| | 412 | echo Please tell autoconf@gnu.org about your system, |
| | 413 | echo including any error possibly output before this |
| | 414 | echo message |
| | 415 | } |
| | 416 | |
| | 417 | |
| | 418 | |
| | 419 | as_lineno_1=$LINENO |
| | 420 | as_lineno_2=$LINENO |
| | 421 | test "x$as_lineno_1" != "x$as_lineno_2" && |
| | 422 | test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || { |
| 160 | | # line-number line before each line; the second 'sed' does the real |
| 161 | | # work. The second script uses 'N' to pair each line-number line |
| 162 | | # with the numbered line, and appends trailing '-' during |
| 163 | | # substitution so that $LINENO is not a special case at line end. |
| | 426 | # line-number line after each line using $LINENO; the second 'sed' |
| | 427 | # does the real work. The second script uses 'N' to pair each |
| | 428 | # line-number line with the line containing $LINENO, and appends |
| | 429 | # trailing '-' during substitution so that $LINENO is not a special |
| | 430 | # case at line end. |
| 189 | | case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in |
| 190 | | *c*,-n*) ECHO_N= ECHO_C=' |
| 191 | | ' ECHO_T=' ' ;; |
| 192 | | *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;; |
| 193 | | *) ECHO_N= ECHO_C='\c' ECHO_T= ;; |
| 194 | | esac |
| 195 | | |
| 196 | | if expr a : '\(a\)' >/dev/null 2>&1; then |
| | 462 | if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then |
| | 463 | as_dirname=dirname |
| | 464 | else |
| | 465 | as_dirname=false |
| | 466 | fi |
| | 467 | |
| | 468 | ECHO_C= ECHO_N= ECHO_T= |
| | 469 | case `echo -n x` in |
| | 470 | -n*) |
| | 471 | case `echo 'x\c'` in |
| | 472 | *c*) ECHO_T=' ';; # ECHO_T is single tab character. |
| | 473 | *) ECHO_C='\c';; |
| | 474 | esac;; |
| | 475 | *) |
| | 476 | ECHO_N='-n';; |
| | 477 | esac |
| | 478 | |
| | 479 | if expr a : '\(a\)' >/dev/null 2>&1 && |
| | 480 | test "X`expr 00001 : '.*\(...\)'`" = X001; then |
| 205 | | # We could just check for DJGPP; but this test a) works b) is more generic |
| 206 | | # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04). |
| 207 | | if test -f conf$$.exe; then |
| 208 | | # Don't use ln at all; we don't have any links |
| | 495 | as_ln_s='ln -s' |
| | 496 | # ... but there are two gotchas: |
| | 497 | # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail. |
| | 498 | # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable. |
| | 499 | # In both cases, we have to default to `cp -p'. |
| | 500 | ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe || |